let socket;
let trackingAktiv = false;
let isConnected = false;

function connectWebSocket() {
    if (isConnected) {
        console.log("Bereits verbunden.");
        return;
    }

    // Versuche, eine Verbindung herzustellen
    socket = new WebSocket("ws://localhost:8080");

    socket.onopen = function() {
        console.log("Verbunden mit der WPF-Anwendung.");
        isConnected = true; // Markiere als verbunden
    };

// Empfang von Nachrichten
socket.onmessage = function(event) {
    const message = JSON.parse(event.data);
    console.log("Nachricht empfangen: ", message);
    navigator.clipboard.writeText("yea");

   // if(message.action === "sendJsonContent") {
     //   navigator.clipboard.writeText("yea");
    //}

    /*if (message.action === "startTracking" && message.status === true) {
        console.log("Tracking gestartet.");
        trackingAktiv = true;
    } else if (message.action === "stopTracking" && message.status === false) {
        console.log("Tracking gestoppt.");
        trackingAktiv = false;
    }*/
};

socket.onclose = function() {
    console.log("Verbindung geschlossen.");
    isConnected = false;
    // Versuche, nach einer kurzen Zeit erneut eine Verbindung herzustellen
    setTimeout(connectWebSocket, 5000); // 5 Sekunden warten, bevor erneut versucht wird
};

socket.onerror = function(error) {
    console.error("WebSocket Fehler:", error);
    socket.close(); // Schließe den Socket, um den Fehler zu behandeln und es erneut zu versuchen
};
}

connectWebSocket();

browser.tabs.onCreated.addListener((tab) => {
    checkUrl(tab.url);
});


browser.tabs.onUpdated.addListener((tabId, changeInfo, tab) => {
    checkUrl(tab.url);
});


function checkUrl() {
    if(trackingAktiv) {

    } else {

    }
};